package com.miaxis.coach.dto;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * PC教练评价对象
 *
 * @author WWL
 * @date 2020-1-21
 */
@Data
@ApiModel(value = "CoachEvaluate", description = "PC教练评价对象DTO")
public class CoachEvaluatePcDTO extends BaseBusinessEntity {

    @ApiModelProperty(value = "驾校名称")
    private String schoolName;

    @ApiModelProperty(value = "总体星级1-5")
    private Long totalStars;

    @ApiModelProperty(value = "是否匿名：0 :公开  1匿名")
    private Integer isAnonymous;

    @ApiModelProperty(value = "状态   0：启用 1：禁用")
    private String status;

}
