package com.miaxis.school.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.school.domain.SchoolRegion;
import com.miaxis.school.vo.SchoolRegionPcVO;

import java.util.List;

/**
 * 驾校训练场Service接口
 *
 * @author zhangbin
 * @date 2020-12-28
 */
public interface ISchoolRegionService extends IService<SchoolRegion>{

    /**
     * 查询列表
     */
    List<SchoolRegion> queryList(SchoolRegion schoolRegion);

    /**
     * pc查询场地管理列表
     * @param schoolRegion
     * @return
     */
    List<SchoolRegionPcVO> queryRegionList(SchoolRegion schoolRegion);

    /**
     * 训练场地删除（逻辑删除）
     * @param ids
     * @return
     */
    boolean removeSchoolRegion(Long[] ids);
}
