package com.miaxis.coach.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.coach.domain.CoachEvaluate;
import com.miaxis.coach.dto.CoachEvaluatePcDTO;
import com.miaxis.coach.vo.CoachEvaluatePcVO;

import java.util.List;

/**
 * 教练评价Mapper接口
 *
 * @author miaxis
 * @date 2020-12-28
 */
public interface CoachEvaluateMapper extends BaseMapper<CoachEvaluate> {


    /**
     * pc 查询列表
     * @param coachEvaluate
     * @return
     */
    List<CoachEvaluatePcVO> queryList(CoachEvaluatePcDTO coachEvaluate);
}
