package com.miaxis.feign;


import com.miaxis.common.config.FeignConfig;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

@FeignClient(name="qgptService",
        url = "${feign.qgpt_ipport}",configuration = FeignConfig.class)
@Component
public interface IQgptService {
    @PostMapping(value = "/top/imageup/stuimg", produces = {MediaType.APPLICATION_JSON_UTF8_VALUE},consumes = MediaType.MULTIPART_FORM_DATA_VALUE)
    Map imageup(
            @RequestParam("v" ) String version,
                @RequestParam("ts" ) Long timestamp,
                @RequestParam("user" ) String serialNumber,
                @RequestParam("sign" ) String sign,
                @RequestPart("file") MultipartFile file);

}
