package com.miaxis.feign;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author wwl
 * @Date 2020/12/24
 * @Version 1.0
 */
@Data
public class UploadDto extends BaseBusinessEntity {

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private Long sex;

    @ApiModelProperty(value = "身份证明号码 1：身份证号，2：护照，3：军官证，4：其他")
    private Long cardtype;

    @ApiModelProperty(value = "身份证明号码")
    private String idcard;

}
