package com.miaxis.school.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.school.domain.SchoolClassType;
import com.miaxis.school.dto.SchoolClassTypePcDTO;
import com.miaxis.school.vo.SchoolClassTypePcVO;

import java.util.List;

/**
 * 驾校班型Service接口
 *
 * @author wwl
 * @date 2021-01-15
 */
public interface ISchoolClassTypeService extends IService<SchoolClassType> {
    /**
     * pc驾校班型查询列表
     */
    List<SchoolClassTypePcVO> queryList(SchoolClassTypePcDTO schoolClassTypePcDTO);

    /**
     * 删除驾校班型(逻辑删除)
     * @param ids
     * @return
     */
    boolean removeSchoolClassType(Long[] ids);
}
