package com.miaxis.school.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.school.domain.SchoolEvaluate;
import com.miaxis.school.domain.SchoolEvaluateLabel;
import com.miaxis.school.dto.SchoolEvaluateDto;
import com.miaxis.common.core.domain.Response;

import java.util.List;

/**
 * 驾校评价Service接口
 *
 * @author wwl
 * @date 2020-12-28
 */
public interface ISchoolEvaluateService extends IService<SchoolEvaluate> {


    /**
     * 查询驾校评价标签列表
     * @return
     */
    List<SchoolEvaluateLabel> selectSchoolEvaluateLabelList();

    /**
     * 新增驾校评价
     * @param schoolEvaluateDto
     * @return
     */
    Response addSchoolEvaluate(SchoolEvaluateDto schoolEvaluateDto);

    /**
     * pc 查询列表
     */
    List<SchoolEvaluate> queryList(SchoolEvaluate schoolEvaluate);

}
